#include "MatrixStack.h"
#include <glm/glm.hpp>
#include <glm/gtc/type_ptr.hpp>
#include <glm/gtx/quaternion.hpp>
#include <memory>

using namespace std;
using namespace glm;

class Keyframe
{
        public:
          vec3 p;
          quat q;

          Keyframe();
          Keyframe(const Keyframe& k);
          vec3 getPos();
          void setPos(vec3 p);
          quat getQuat();
          void setQuat(quat q);
};
